AOZ Studio Beta - Bug #928

More bob MOVE problems
10/28/2022 03:02 PM - Alex Vac

Status: Resolved Start date: 10/28/2022
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B16) u25

Description

BOB MOVE still has some bugs and does not function 100% properly.

Example 1
The bob does not go back to starting point but continues moving right.
bob 1,400,100,1: move x 1,"(1,1,100)(1,-100,1)I": move on 1

Example 2
Here the bob goes back but not the whole way. Drifts to the right.
bob 1,400,100,1: move x 1,"(1,1,100)(1,-50,2)I": move on 1

EXAMPLE IN ACTION: https://app.aoz.studio/ely2ovgm/

History

#1 - 10/28/2022 03:02 PM - Alex Vac

- Description updated

#2 - 02/22/2023 10:21 PM - malcolm harvey

This also eventually drifts below, if u watch long enough.
This is still present in U39 currently.

Note: Definitely. The drift is more evident with lower numbers, (with 1 completely non working) but even with 20 it clearly drifts.

bob 1,10,10,1
move x 1,"(1,10,80)(1,-40,20)I" : move on 1
wait key

#3 - 02/22/2023 11:20 PM - malcolm harvey

Also ... This works.

20 bob 1,10,10,1

30 move x 1,"(1,8,100) (1,-8,100)1" : move on 1 //speed/step/count
40 wait key : move off 1 //turn of sprite

But this does not..

move x 1,"(1,8,100)(1,-800,1)I" : move on 1
move x 1,"(1,8,100)(1,-400,2)I" : move on 1

So the problem is a very specific move thing. Trying to get the bob to move back in one quick Jjump.

#4 - 02/25/2023 01:00 PM - malcolm harvey

Also ref discord chat...on the subject.

https://discord.com/channels/653893653940404224/1057959606032269353/1078027678659117107

#5 - 02/25/2023 03:14 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!
https://app.aoz.studio/e1y2ovqm/
https://discord.com/channels/653893653940404224/1057959606032269353/1078027678659117107

#6 - 03/03/2023 11:41 PM - malcolm harvey
- File Moving Anims1 2023.aozip added

Ive reopened the ticket, | cant see anything that is different with the fix.?
Again, lve added these examples and a zip to see this live for you too see.

As in the zip...

/First example here works correctly

//Ping pongs same start and end every time

bob 1,10,10,1

move x 1,"(1,8,100)(1,-8,100)I" : move on 1 //speed/step/count
wait key : move off 1 //turn of sprite

//Second example here if u wait long enough

/Ikeeps eventually drifting to the right, ever slowly

/land it will eventually the start x and end x pong

/Ipoints go off the screen to the right.

//(Definitely. The drift is more evident with lower numbers).

/l(with 1 completely non working) but even with 20 it clearly drifts.)

bob 1,10,10,1
move x 1,"(1,10,80)(1,-40,20)I" : move on 1
wait key : move off 1

/[Third example here

//Does not seam to be working correctly at all
//moves to right 8 then jump left a bit then
/Iright again.

bob 1,10,10,1

move x 1,"(1,8,100)(1,-800,1)I" : move on 1
move x 1,"(1,8,100)(1,-400,2)I" : move on 1
wait key : move off 1

Files
Moving Anims1 2023.a0zip 4.27 MB 03/03/2023 malcolm harvey
